summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrafa_99 <raroma09@gmail.com>2022-06-28 23:20:18 +0100
committerrafa_99 <raroma09@gmail.com>2022-06-28 23:20:18 +0100
commit830c57cf868e6fc241018aae672b9c9cff52d10a (patch)
treefe01e355c5838968c8091ec13333ffdc5ed00412
parent3db93d10c7bf8758207d8d452c75b0b2b1ddbe31 (diff)
Synced stuff with openbsd branch
-rw-r--r--INSTALL/openbsd-install65
-rw-r--r--misc/.config/misc/aliasrc3
-rw-r--r--picom/.config/picom/picom.conf3
-rwxr-xr-xscripts/.local/bin/backlightctl10
-rw-r--r--suckless/.config/suckless/dwm/config.h4
5 files changed, 80 insertions, 5 deletions
diff --git a/INSTALL/openbsd-install b/INSTALL/openbsd-install
new file mode 100644
index 0000000..84cd759
--- /dev/null
+++ b/INSTALL/openbsd-install
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+#
+# OpenBSD based dots install
+#
+
+cd .. || exit
+CURDIR=$(pwd)
+
+echo "######################"
+echo "# dotfiles Installer #"
+echo "######################"
+
+# Adding Root Files
+doas cp -rf ROOT/doas/doas.conf /etc
+doas cp -rf ROOT/hosts/hosts /etc
+
+# Install Required Programs
+doas pkg_add git neovim stow zsh ncmpcpp xwallpaper newsboat zathura maim texlive_base ntp ffmpeg redshift htop xclip imageMagick transmission-gtk mpv mpd mpc nsxiv zathura zathura-pdf-mupdf zathura-ps yt-dlp automake lzop curl gimp kdenlive inkscape arandr unoconv node p7zip valgrind gdb universal-ctags gstreamer1-plugins-base gstreamer1-plugins-good gstreamer1-plugins-libav hplip cups simple-scan system-config-printer clang ffmpegthumbnailer neofetch cmatrix py3-pip password-store screenkey qemu virt-manager picom firefox go farbfeld keepassxc lf
+
+doas rcctl enable xenodm
+doas rcctl enable apmd
+
+# Building Folder Structure
+mkdir -p ~/Documents/PDF ~/Documents/Text ~/Documents/Disks ~/Documents/Archives ~/Documents/VMs ~/Downloads ~/Pictures/Screenshots ~/Pictures/GIMP ~/Videos/Recordings ~/Code ~/.config/git ~/.config/wallpaper ~/.local/share/gnupg ~/.local/share/pass
+
+# Setting folder permissions
+# chmod 600 ~/.local/share/gnupg/*
+chmod 700 ~/.local/share/gnupg
+
+# Deploy Dots
+stow --target="$HOME" fonts man misc mpd ncmpcpp newsboat neovim npm picom shell scripts suckless sxiv X11 zathura zsh
+touch ~/.config/mpd/database ~/.config/mpd/log ~/.config/mpd/pid ~/.config/mpd/state ~/.config/mpd/sticker.sql
+chsh -s /bin/zsh
+
+cd ~/.local/src && sh compileSource && cd "$CURDIR" || exit
+
+# Setting up Neovim
+## Linking Neovim to Vim
+ln -s /usr/bin/nvim ~/.local/bin/vim
+
+## Installing Neovim Plugin Manager (Vim Plug)
+curl -fLo ~/.local/share/nvim/site/autoload/plug.vim --create-dirs \
+ https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
+
+## Installing Modules
+pip3 install --user pywal
+nvim -c PlugInstall
+cd ~/.config/nvim/plugged/vim-hexokinase && make hexokinase
+npm -g install clangd pyright typescript typescript-language-server vscode-langservers-extracted --prefix ~/.local/share/npm
+
+# Setup Git account
+printf "Do yo want to setup Git account? [Y/n]" && read -r GIT
+if [ "$GIT" != "N" ] && [ "$GIT" != "n" ]; then
+ printf "Username: " && read -r USER
+ printf "Email: " && read -r EMAIL
+ git config --global user.name "$USER"
+ git config --global user.email "$EMAIL"
+ git config pull.rebase false
+ mv ~/.gitconfig ~/.config/git/config
+ git config --global pull.rebase false
+fi
+
+# Wallpapers
+cd ~/Pictures && git clone https://gitlab.com/rafa_99/wallpapers
diff --git a/misc/.config/misc/aliasrc b/misc/.config/misc/aliasrc
index 74422e5..66b78cb 100644
--- a/misc/.config/misc/aliasrc
+++ b/misc/.config/misc/aliasrc
@@ -1,7 +1,6 @@
#!bin/sh
-alias grep='grep --color=auto -i' \
- ls='ls --color=auto' \
+alias grep='grep -i' \
clone='git clone' \
add='git add' \
stat='git status' \
diff --git a/picom/.config/picom/picom.conf b/picom/.config/picom/picom.conf
index df05ff5..7c93c1b 100644
--- a/picom/.config/picom/picom.conf
+++ b/picom/.config/picom/picom.conf
@@ -48,6 +48,7 @@ shadow-exclude = [
"class_g = 'Conky'",
"class_g ?= 'Notify-osd'",
"class_g = 'Cairo-clock'",
+ "class_g = 'firefox' && argb",
"_GTK_FRAME_EXTENTS@:c"
];
@@ -143,7 +144,7 @@ focus-exclude = [ "class_g = 'Cairo-clock'" ];
# Sets the radius of rounded window corners. When > 0, the compositor will
# round the corners of windows. Does not interact well with
# `transparent-clipping`.
-corner-radius = 10;
+corner-radius = 10
# Exclude conditions for rounded corners.
rounded-corners-exclude = [
diff --git a/scripts/.local/bin/backlightctl b/scripts/.local/bin/backlightctl
new file mode 100755
index 0000000..e756040
--- /dev/null
+++ b/scripts/.local/bin/backlightctl
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# Controls backlighting of LCD
+case $1 in
+ "+")
+ (xbacklight -inc 5 || doas light -A 5)
+ ;;
+ "-")
+ (xbacklight -dec 5 || doas light -U 5)
+esac
diff --git a/suckless/.config/suckless/dwm/config.h b/suckless/.config/suckless/dwm/config.h
index 9b6e2b4..f7ee5b5 100644
--- a/suckless/.config/suckless/dwm/config.h
+++ b/suckless/.config/suckless/dwm/config.h
@@ -151,8 +151,8 @@ static Key keys[] = {
{ MODKEY, XK_F2, spawn, SHCMD("mixer -") },//Decrease Volume by 5%
{ MODKEY, XK_F3, spawn, SHCMD("mixer +") },//Increase Volume by 5%
{ MODKEY, XK_F4, spawn, SHCMD("mixer m") },//Toggle Mic Mute
- { MODKEY, XK_F5, spawn, SHCMD("doas light -U 5") },//Decrease Brightness by 5%
- { MODKEY, XK_F6, spawn, SHCMD("doas light -A 5") },//Increase Brightness by 5%
+ { MODKEY, XK_F5, spawn, SHCMD("backlightctl -") },//Decrease Brightness by 5%
+ { MODKEY, XK_F6, spawn, SHCMD("backlightctl +") },//Increase Brightness by 5%
{ MODKEY, XK_F7, spawn, SHCMD("bluelight") },//Toggle Bluelight Filter
{ MODKEY, XK_F8, spawn, SHCMD("screenrecord") },//Screen Recording Script
{ MODKEY, XK_F9, spawn, SHCMD("mpc toggle") },//Music Pause/Play